Bug 624616

Summary: Bogus links in "SEE ALSO" part of several man-pages
Product: [Fedora] Fedora Reporter: Ivana Varekova <varekova>
Component: openldapAssignee: Jan Vcelak <jvcelak>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: jvcelak, jzeleny, rmeggins, tsmetana
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: openldap-2.4.23-3.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-08-27 13:41:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ivana Varekova 2010-08-17 09:12:24 UTC
Description of problem:
two man-pages from this package contain links to nonexisting pages in SEE ALSO
part (the pages are either in the other section or are not present at all)

The list is - pairs man-page/bogus link:

/usr/share/man/man5/ldif.5.gz, link /usr/share/man/man5/slapd.replog.5

/usr/share/man/man1/ldapadd.1.gz, link /usr/share/man/man3/ldap_modrdn_ext.3
/usr/share/man/man1/ldapadd.1.gz, link /usr/share/man/man5/slapd.replog.5

/usr/share/man/man1/ldapmodify.1.gz, link /usr/share/man/man3/ldap_modrdn_ext.3
/usr/share/man/man1/ldapmodify.1.gz, link /usr/share/man/man5/slapd.replog.5

/usr/share/man/man5/slapd.access.5.gz, link /usr/share/man/man7/re_format.7

/usr/share/man/man5/slapd.conf.5.gz, link /usr/share/man/man5/slapd.replog.5

/usr/share/man/man5/slapd-config.5.gz, link /usr/share/man/man5/slapd.replog.5

/usr/share/man/man5/slapd-meta.5.gz, link /usr/share/man/man7/re_format.7

/usr/share/man/man5/slapo-rwm.5.gz, link /usr/share/man/man7/re_format.7



Version-Release number of selected component (if applicable):
openldap-2.4.22-7.fc14

Comment 1 Jan Vcelak 2010-08-18 14:30:59 UTC
Hi Ivana,

I'm going to fix it in Rawhide soon. Except removing re_format.7, as it describes 'POSIX 1003.2 regular expressions' and can be found in BSD. (Debian has symlink from re_format to regex.) Is it OK?

Jan

Comment 2 Jan Vcelak 2010-08-27 13:41:11 UTC
Fixed in openldap-2.4.23-1.fc15.

Comment 3 Fedora Update System 2010-11-01 14:15:21 UTC
openldap-2.4.23-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openldap-2.4.23-2.fc14

Comment 4 Fedora Update System 2010-11-18 11:20:31 UTC
openldap-2.4.23-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openldap-2.4.23-3.fc14

Comment 5 Fedora Update System 2010-11-22 22:10:25 UTC
openldap-2.4.23-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.